/*popup*/

body.modal-open {
    overflow: hidden;
}

.popup-background {
    display: none;
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.1);
    /* Még világosabb, fekete háttér */
    backdrop-filter: blur(12px);
    /* Elhomályosított háttér */
    -webkit-backdrop-filter: blur(12px);
    /* Safari támogatás */
}

.popup {
    display: none;
    position: fixed;
    z-index: 200;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    /*background-color: rgba(0,0,0,0.4);*/
    overflow-y: auto;
    /* Engedélyezzük a függőleges görgetést */
    padding-top: 5vw;


}

.popup-content {
    position: relative;
    background-color: var(--block-bg);
    margin: 0 auto;
    padding: 50px;
    border-radius: 20px;
    width: 90%;
    max-width: 45em;
    z-index: 300;
    overflow: visible;
    box-sizing: border-box;
    margin-bottom: 10vw;
    border-bottom: 6px solid var(--brand);
}

/*small devices ============*/
@media (max-width: 768px) {
    .popup-content {
        position: relative;
        margin: 0 auto;
        padding: 30px;
    }
}

.close {
    position: absolute;
    top: 10px;
    right: 25px;
    color: var(--close);
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: var(--closehover);
    text-decoration: none;
    cursor: pointer;
}